DebianテストにGimp2.8をインストールする(Wheezy)

コンパのおかげで ヨーヨー インストールできます ギンプ2.8 私たちが見つけることができるチュートリアルによって私たちを導く このリンク。 手順は簡単です。

必要な依存関係のインストール:

ターミナルを開いて、次のように配置します。

$ sudo aptitude install intltool libpng12-dev libglib2.0-dev libatk1.0-dev libpango1.0-dev libfontconfig1-dev libcairo2-dev libgtk2.0-dev libtiff4-dev python-gtk2-dev libatk1.0-dev librsvg2-bin libwebkit-dev librsvg2-2.0-cil-dev libjasper-dev liblcms-dev libexif-dev libwmf-dev python2.7-dev

眼: これにより、いくつかのMONO依存関係がインストールされるため、このテクノロジーが気に入らない場合は、チュートリアルを終了できます😀

コンパイルする必要があります bablとgegl のリポジトリにあるバージョンのため 検t それよりも低い ギンプ2.8 する必要がある。

必要なライブラリのコンパイル:

$ wget ftp://ftp.gtk.org/pub/babl/0.1/babl-0.1.10.tar.bz2
$ tar -xvf babl-0.1.10.tar.bz2
$ cd babl-0.1.10/
$ ./configure
$ make
$ sudo make install

$ wget ftp://ftp.gimp.org/pub/gegl/0.2/gegl-0.2.0.tar.bz2
$ tar -xvf gegl-0.2.0.tar.bz2
$ cd gegl-0.2.0/
$ ./configure
$ make
$ sudo make install

Gimp2.6をアンインストールします

$ sudo aptitude purge libgimp2.0 gimp gimp-help-en gimp-help-common gimp-data libgimp2.0

Gimp2.8をコンパイルしてインストールします

$ wget ftp://ftp.gimp.org/pub/gimp/v2.8/gimp-2.8.0.tar.bz2
$ tar -xvf gimp-2.8.0.tar.bz2
$ cd gimp-2.8.0
$ ./configure
$ make
$ sudo make install

準備ができました。 起動しない場合でも動作するはずです ギンプ メニューのアイコンを使用して、次のように解決できます。

ファイルに追加します 〜/ .bashrc 次の行:

LD_LIBRARY_PATH=/usr/local/lib
env LD_LIBRARY_PATH="/usr/local/lib" gimp
export LD_LIBRARY_PATH

正直なところ、試したことはありません。 解決策はコンパによって私に与えられました ヨーヨー そして彼らはできます ここを参照してください.


記事の内容は、次の原則に準拠しています。 編集倫理。 エラーを報告するには、 ここで.

46コメント、あなたのコメントを残してください

コメントを残す

あなたのメールアドレスが公開されることはありません。 必須フィールドには付いています *

*

*

  1. データの責任者:MiguelÁngelGatón
  2. データの目的:SPAMの制御、コメント管理。
  3. 正当化:あなたの同意
  4. データの伝達:法的義務がある場合を除き、データが第三者に伝達されることはありません。
  5. データストレージ:Occentus Networks(EU)がホストするデータベース
  6. 権利:いつでも情報を制限、回復、削除できます。

  1.   レオデラクルス

    新しいスプラッシュで、ついにシングルウィンドウモードで使用しています! 😀

  2.   ギスカード

    改善は見事に見えますが、PPAを待ちます。 新しいXFCE4.10のように
    ????

  3.   夜明け

    私は問題があります

    «Dimentiogimp-2.8.0#make
    make:***ターゲットが指定されておらず、makefileが見つかりません。 高い。"

    ;に;

    1.    夜明け

      わかりました... gegl-0.2.0のステップを実行すると、何が起こるかがわかると思います。「make」を実行すると、多くのエラーが発生し、多くの「まあまあのマスクから出てきます」ということです... geglをインストールできないとどうなるかわかりません。 -0.2.0、それはmakefileまたは非常に類似したものを作成できないようなものを言います; ^;

  4.   適切な

    elva aptはこれらのインストールを処理できないため、パッケージを作成し、make && make installメソッドを使用しないことを強くお勧めします。LD_LIBRARY_PATHが原因で、パッケージマネージャーが目がくらむ可能性があります。

    よろしく

    1.    勇気

      アハハハ エルヴァ ハハハハ

  5.   ロジャータックス

    それはすでにアーチリポジトリにあります!!

    1.    KZKG ^我愛羅

      神は私にアーチに戻りたいという誘惑を避ける力を与えてくれます..笑!!!

      1.    sieg84

        約10〜15 GBのパーティションで、debianを削除せずにすでにアーチがありますか? なぜそれをしないのですか?

        1.    パンデブ92

          パッケージをインストールするのは私にはばかげているようです...

  6.   ルカスマティアス

    シングルウィンドウモードはなんと安心です。Unityではバージョン2.6で再複雑化されました。

  7.   ヨーヨーフェルナンデス

    私のDebianテストKDE4.7.4で完全に実行されています

    Gimpがアイコンから開始するように解決策〜/ .bashrcが完全に機能することをコメントします😉

    拝啓

  8.   パンデブ92

    x11を使用せずにosxでコンパイルしようとしています。数時間後に結果をお知らせします。

      1.    パンデブ92

        時々私はあなたがxdに見えるよりも嫌いな人だと思う

        1.    勇気

          あなたはこのあたりでMacについてのことを言わなければなりません...それはあなただけに起こります。

          1.    パンデブ92

            しかし彼はgimpxdについて話していました

        2.    KZKG ^我愛羅

          ¬_¬ …不快感はありません、繰り返しません。

          1.    勇気

            気にしない

  9.   ヨーヨーフェルナンデス

    私はそのシステムの永遠の戦争を理解していません…。

    さて、Macから投稿して、ユーザーエージェントに反映されるようにします。

    尊重しましょう。尊重されます😉

    1.    パンデブ92

      シーイーxD

      1.    ヨーヨーフェルナンデス

        パンデブ92

        Linuxeros Maqueros、私たちはあなたをサポートします、私たちはそれらも持っています、私たちは団結しなければなりません😉

    2.    sieg84

      私には夢があります…

  10.   ケオペティ

    pandev92、X11なしでコンパイルすることに興味があります。お持ちの場合は、ご連絡いただければ幸いです。ありがとうございます。
    そして勇気に関しては、それを数えないでください、それはMacを持っていないことの羨望です、または私は間違っていますか?

    1.    パンデブ92

      わかりました、今日私は試しましたが、依存関係のためにできませんでした。スキナーに話しかけて、彼らが私に何を言っているかを確認します。
      gimp 2.6の場合、プリコンパイルされたパッケージhttp://sourceforge.net/projects/gimp-app/files/gimp-app/があります。

      当然x11なし。

      1.    ケオペティ

        わかりました、ありがとう、私は気を配ります。
        挨拶

      2.    勇気

        あなたはその問題をいくつか抱えています、そしてあなたはそれがいくつかのディストリビューションに公式に含まれるのを待たなければなりません、そして他のものでは少し待つ必要があります

    2.    勇気

      私はXNUMXつ持っていました

  11.   オープンサンクタックス

    Gimp 2.8それは何のためですか?

    1.    勇気

      それから誰かがあなたに言うでしょうそしてそれは他の投稿のように起こります

      1.    オープンサンクタックス

        少し、まともな、それだけの議論:)

    2.    ケオペティ

      冗談ですよね?

      1.    オープンサンクタックス

        番号。 明らかに私はそれがgimpであり、質問が非常にテキストであることを知っています。gimpにどのようなアプリケーションを与えることができるか知りたいです。

          1.    オープンサンタックス

            …私が見ることができたのは、gimpを使って初心者からプロに行くことでした。 専門分野がカバーするものはありません。

            そしてそれをコンパイルしますか? ええと、いいえ、私はそれを上から見て、自由な時間があまりないことを脇に置いて、簡単なオプションを選び、fedora 17ベータをインストールして、リポジトリからダウンロードしました。

            テスト中、非常に安定していると正直に言うことができます。gpuをサポートしているかどうかはわかりませんが、大きな画像を非常にうまく処理します。 彼らが行ったことは「よくできている」ことであり、krita(kdeの組織的な悲劇に苦しんでいる)よりも正しく組織化されており、2.6が非常に悪かったため、色の管理が大幅に改善されました。 そして、Photoshopの強みのXNUMXつである興味深いレイヤー選択システム。

            アマチュアと初心者の用途は広く、従来の写真、フォトモンタージュ、グラフィックデザイン、イラストをレタッチしています...

            専門家; Webデザイン、デジタルメディア(ビデオ、マルチメディア)、または外部アプリケーションを使用したファイルの変換...優れたサポートの欠如、印刷用のCMYKカラープロファイルの欠如、イラスト用のカラーパレットなどによって制限されます...

            要するに、それはプロの選択肢になるにはまだ長い道のりです。

          2.    オープンサンタックス

            私の友人? はははは! むしろ、彼は彼に同意しなかった、または彼が苦いことを彼に言わなかったという理由で私にいくつかのコメントを拒否しました...まあ。

            私は、ウェブの場合、印刷機の場合は機能しないので、プラグインを使用してエクスポートするリスクを冒すためにPCを調整する人はいないと言いました。

            クリタが優れているということは、議論の余地はないと思いますが、奇妙なことがあります。

          3.    ウィンドウシコ

            その男がコメントを検閲するように、...まあ、私は驚かない。 先日お答えしたように、もっと繊維を手に入れる必要があります。

  12.   アルナド

    言い換えれば、Gimp2.8はMONO¿にいくらか依存しています。 または、これはテストでコンパイルするために発生する可能性があることを理解できます...

  13.   ソリダス_00

    私はすでに別の方法でそれをインストールしましたが、唯一のウィンドウが出ませんでした、この方法でそれがすでにうまく引っ張っているかどうか見てみましょう😀ありがとう

    1.    Lithos523

      デフォルトでは、従来のマルチウィンドウモードで起動します。
      「Windows」メニューに移動して、シングルウィンドウオプションをアクティブにする必要があります。

  14.   ホセ

    前回、公式リポジトリで提供されているものとは異なるバージョンのGIMPをインストールしようとしたときに、GIMPが不足しました。 戻る方法も、パージする方法も、何もありませんでした…。 次の再インストールまでGIMPが不足しました。 私のLTSでは何にも触れません…。 次のLTSまでそこになければなりません。 更新として表示されるのにそれほど時間がかからない場合。

    1.    KZKG ^我愛羅

      HAHAHA同様のことが私にも起こります。 私はDebian(テスト)を使用しています... Gimp 2.8が必要になるのを待つことができます、私は自分自身をコンパイルするのにそれほど急いでいません🙂

      1.    コメンテーター

        ppaを使用してテストできますか?

        1.    KZKG ^我愛羅

          技術的には可能だと思いますが、実際、elavはこのようにインストールできたと思います...しかし、私はしたくないです。 私は自分のシステムを100%クリーンに保ち、ガフやバグなどを一切発生させないようにしています。

          私がGimpを使用している場合、1がDebianリポジトリテストに入るまであと2.8か月待ってもかまいません🙂

          よろしく

  15.   デビッドピネダ

    geglを正しくコンパイルできるようにするには、libabldevelをインストールする必要があります